import { type GraphqlMiddlewareMutationName, type GetMutationArgs, type MutationObjectArgs, type GetMutationResult } from './../helpers/composables.js';
import type { GraphqlMiddlewareMutation } from '#nuxt-graphql-middleware/generated-types';
import type { GraphqlResponse } from '#graphql-middleware-server-options-build';
/**
 * Performs a GraphQL mutation.
 */
export declare function useGraphqlMutation<T extends GraphqlMiddlewareMutationName, R extends GetMutationResult<T, GraphqlMiddlewareMutation>>(...args: GetMutationArgs<T, GraphqlMiddlewareMutation> | [MutationObjectArgs<T, GraphqlMiddlewareMutation>]): Promise<GraphqlResponse<R>>;
